Subject: [pim] Sticky PIM DR, should it be added to PIM DR improvements or different draft

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Thu, 3 Dec 2020 17:50:17 +0000

All,

https://tools.ietf.org/html/draft-ietf-pim-dr-improvement-10 draft briefly talks about PIM DR being sticky. But does not have much detail yet.  There are providers who do want to use Sticky PIM DR functionality. Since DR improvement talks about Hello options and carry elected PIM DR . There are two options.

  1.  Add new Sticky PIM DR procedures to this draft
  2.  Have new draft which talks only about sticky PIM DR without any hello option

Brief about Sticky PIM DR procedures

  1.  If Sticky DR is configured in PIM router , initial DR election happens it is defined in PIM RFC today.
  2.  To make sure now elected DR does not give up it DR role, now it will start advertising PIM_DR_MAX_Priority (this number to be reserved from DR priority value )
  3.  Now if any new router comes up, it will never try to take role of DR since at step2 elected DR was advertising highest priority.

This is the brief about what would go in draft.

Any input would be appreciated.

Mankamana

---

From: Stig Venaas <[email-masked]>
Date: Thu, 3 Dec 2020 18:07:10 -0800

Hi

If I understand the dr-improvement draft correctly, it supports sticky
DR as is. Isn't that the main purpose of the draft, aside from also
electing a BDR? The DR Address Option would announce the address of
the sticky DR. Why would you need to announce the priority?

Regards,
Stig

On Thu, Dec 3, 2020 at 9:51 AM Mankamana Mishra (mankamis)
<mankamis=[email-masked]> wrote:
> Add new Sticky PIM DR procedures to this draft
> Have new draft which talks only about sticky PIM DR without any hello option
>
>
>
>
>
> If Sticky DR is configured in PIM router , initial DR election happens it is defined in PIM RFC today.
> To make sure now elected DR does not give up it DR role, now it will start advertising PIM_DR_MAX_Priority (this number to be reserved from DR priority value )
> Now if any new router comes up, it will never try to take role of DR since at step2 elected DR was advertising highest priority.
>
>
>
>
>
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim

---

From: <[email-masked]>
Date: Fri, 4 Dec 2020 11:33:10 +0800 (CST)

Hi Stig, Mankamana, 

The function defined in PIM DR Improvement doesn't need the new priority advertisement. 

AD asked that if the two drafts will considered to be combined into one draft. 

If they are combined, two functions can be introduced in one draft, except the existed PIM DR hello options, the other choice is the new priority announcement. 

PIM DR Improvement draft is open for add the new functions, or keep it still, either is OK. 

AD, chairs, anyone's suggestion is welcomed! :-)

Best regards,

Sandy

原始邮件

发件人：StigVenaas
收件人：Mankamana Mishra (mankamis);
抄送人：[email-masked];
日 期 ：2020年12月04日 10:07
主 题 ：Re: [pim] Sticky PIM DR, should it be added to PIM DR improvements or different draft

Hi

Regards,
Stig

---

From: Stig Venaas <[email-masked]>
Date: Fri, 4 Dec 2020 08:03:02 -0800

Hi

Here is my thinking regarding the two drafts. Maybe they can be
merged, but in my mind it might make sense to keep them separate.

draft-mankamana-pim-bdr
This is informational and discusses how to improve DR election without
any protocol changes. An implementation can follow these procedures
and interoperate with any standard implementation. Some of these
improvements are already implemented by several vendors.

draft-ietf-pim-dr-improvement
This mainly introduces the concept of sticky DR and it requires
protocol changes. It would be standards track or experimental. This is
something entirely new and only works between routers that support
this.

If one wants to improve on the current DR election, but doesn't need
stickiness then the first draft makes sense to me. If stickiness is
needed, then the second draft is needed. I can imagine implementations
supporting both or either. It is up to the user whether they want the
DR to be sticky or not.

Both the drafts discuss the concept of BDR. In the first draft I think
this is not defining anything new, BDR is just terminology to talk
about the next-best DR, the router that would become DR if the DR goes
away. The second draft formalizes this more as if I understand
correctly it also elects a sticky BDR. If an implementation only wants
to support sticky DR (but not BDR), then maybe that can be done with
the second draft, by not making BDR election mandatory.

Thoughts? Do you see this differently?

Regards,
Stig

---

From: Alvaro Retana <[email-masked]>
Date: Fri, 4 Dec 2020 09:04:11 -0800

On December 4, 2020 at 11:03:22 AM, Stig Venaas wrote:

Stig:

Hi!

> Thoughts? Do you see this differently?

I'm ok with whatever the WG decides, as long as the relationship and
interaction between multiple potential solutions is clear.

This is what I wrote in my review of draft-ietf-pim-dr-improvement-09:

===
(2) As far as I can see draft-mankamana-pim-bdr has not been adopted yet.
    Assuming that is the plan, how would the two mechanisms interact?  Given
    that draft-mankamana-pim-bdr doesn't add options, and §5 says that if no
    options are received then the routers MUST use rfc7761, how does a router
    implementing this specification tell the difference?

    I realize that some of these questions may be better directed at
    draft-mankamana-pim-bdr, but because the WG agreed that a statement
    relating the two should be included in this document [1], then I'm
    asking now.  I would really like to understand what the WG expects.
===

The WG is already aware of both drafts.  Assuming
draft-mankamana-pim-bdr is adopted, I would prefer it if both
solutions are progressed together (one or two documents is ok with
me).

Thanks!

Alvaro.

---

From: <[email-masked]>
Date: Mon, 7 Dec 2020 17:37:42 +0800 (CST)

Hi Stig, 

We are OK to have the two separate documents. 

But as Alvaro pointed out, if a router supports both of the solutions, but the router receives the hello message without DR/BDR options defined in "draft-ietf-pim-dr-improvement", 

whether the router should use the function defined in "draft-mankamana-pim-bdr", or use the function defined in RFC7761.

IMO if the router receives the advertisement of "PIM_DR_MAX_Priority" as Mankamana said, the router can use the function defined in "draft-mankamana-pim-bdr", otherwise uses the function defined in RFC7761. 

What do you think of it?

Thanks,

Sandy

原始邮件

发件人：StigVenaas
收件人：张征00007940;
抄送人：Mankamana Mishra (mankamis);[email-masked];
日 期 ：2020年12月05日 00:03
主 题 ：Re: [pim] Sticky PIM DR, should it be added to PIM DR improvements or different draft

Hi

draft-mankamana-pim-bdr

 

Regards,
Stig